<template>
	<div>
		<CommonHeader :setOrden="true" :showMenu="true"  :showBackButton="true" :title="$t('compras')"></CommonHeader>
		<div class="content-title">
			<p>Mis compras</p>
		</div>

		<div class="content">
			<div class="card">
				<div class="content-left ">
					<div><VariableLogo class="logo" :custom="true"></VariableLogo></div>
					<div class="text-content">
						<p class="title-tex">BRAVO SIRLOIN - tacos</p>
						<p class="price-text">$1,521.00 MXN <span>| 9 Productos</span></p>
						<p class="date-text">20/Nov/2020 <span class="error">aprobado</span></p>
					</div>
				</div>
				<div>
					<span>&#8250;</span>
				</div>
			</div>
				<div class="card">
				<div class="content-left ">
					<div><VariableLogo class="logo" :custom="true"></VariableLogo></div>
					<div class="text-content">
						<p class="title-tex">BRAVO SIRLOIN - tacos</p>
						<p class="price-text">$1,521.00 MXN <span>| 9 Productos</span></p>
						<p class="date-text">20/Nov/2020 <span class="success">CANCELADO</span></p>
					</div>
				</div>
				<div>
					<span>&#8250;</span>
				</div>
			</div>
		</div>
		<div class="content-paginas">
			<div>
				<a href="#"><span>&#8249;</span> Anterior</a>
			</div>
			<div class="page">1</div>
			<div>
				<a href="#">Siguiente <span>&#8250;</span></a>
			</div>
		</div>
	</div>
</template>
<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import CommonHeader from '@/components/CommonHeader.vue'
import VariableLogo from '@/components/VariableLogo.vue'

@Component({
	components: {
		CommonHeader,
		VariableLogo,
	},
})
export default class Menu extends Vue {}
</script>
<style lang="scss" scoped>
.CommonHeader {
	text-transform: uppercase;
}
p {
	margin: 0.35em;
}

.content-title {
	padding: 1.5em;
	p {
		color: rgba(254, 202, 56, 1);
		font-weight: bold;
		font-size: 2em;
	}
}

.content {
	.card {
		padding: 0.8em 0.5em;
		border-bottom: 1px solid #dadada;
		display: flex;
		justify-content: space-between;
		div {
			margin: auto 0;
			span {
				font-weight: 400;
				font-size: 1.5em;
				color: rgba(117, 112, 112, 1);
			}
		}
		.content-left {
			display: flex;
			.text-content {

				.title-tex {
					color: rgba(0, 0, 0, 1);
					text-transform: uppercase;
					font-weight: bold;
					font-size: 20px;
					line-height: 23px;
				}
				.price-text {
					color: rgba(33, 150, 83, 1);
					font-weight: bold;
					font-size: 16px;
					line-height: 19px;
					span {
						color: rgba(117, 112, 112, 1);
						font-weight: bold;
						font-size: 16px;
						line-height: 19px;
					}
				}
				.date-text {
					font-weight: normal;
					font-size: 16px;
					line-height: 19px;
					color: #757070;
					span {
						font-size: 12px;
						line-height: 15px;
						text-align: center;
						font-weight: normal;
						text-transform: uppercase;
						color: white;
						border-radius: 4px;
						padding: 0.25em;
					}
					.error {
						background: #eb5757;
					}
					.success {
						background: #219653;
					}
				}
			}
			.logo {
				width: 80px;
				height: 80px;
			}
		}
	}
}

.content-paginas {
	display: flex;
	justify-content: space-between;
	align-items: baseline;
	position: absolute;
	bottom: 0;
	width: 94%;
	padding: 1em 0.5em;
	border-top: 1px solid #dadada;
	.page {
		background: #dadada;
		border-radius: 4px;
		padding: 0.5em 0.8em;
	}
	a {
		color: rgba(117, 112, 112, 0.5);
		font-size: 16px;
		line-height: 19px;
		text-decoration: none;
		span {
			font-weight: 400;
			font-size: 1.5em;
			color: rgba(117, 112, 112, 0.5);
		}
	}
	a:hover {
		color: #2f80ed;
		span {
			color: #2f80ed;
		}
	}
}
</style>